org.h2gis.functions.spatial.convert

## Class ST_Force3D

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_Force3D

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_Force3D
    extends org.h2gis.api.DeterministicScalarFunction

Forces a Geometry into 3D mode by returning a copy with `Double.NaN` z-coordinates set to 0 (other z-coordinates are left untouched).

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_Force3D()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `force3D(org.locationtech.jts.geom.Geometry geom)` Converts a XY geometry to XYZ.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Force3D

    public ST_Force3D()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### force3D

    public static org.locationtech.jts.geom.Geometry force3D(org.locationtech.jts.geom.Geometry geom)

Converts a XY geometry to XYZ. If a geometry has no Z component, then a 0 Z coordinate is tacked on.

Parameters:
  `geom` -
Returns: